diff --git a/pyrpkg/cli.py b/pyrpkg/cli.py
index ac0d8fc..a952dc5 100644
--- a/pyrpkg/cli.py
+++ b/pyrpkg/cli.py
@@ -280,7 +280,9 @@ class cliClient(object):
 
         As a side effect method sets self.site with a loaded library.
 
-        site option can be used to specify which library to load
+        :param site: used to specify which library to load.
+        :type site: the module of downstream client that is built on top of
+            rpkg.
         """
 
         # We do some imports here to be more flexible
@@ -1705,11 +1707,9 @@ see API KEY section of copr-cli(1) man page.
         print(self.cmd.mock_config(self.args.target, self.args.arch))
 
     def module_build(self):
-        """
-        Builds a module using MBS
-        :return: None
-        """
+        """Builds a module using MBS"""
         api_url = self.module_api_url
+        self.module_validate_config()
         scm_url, branch = self.cmd.module_get_scm_info(
             self.args.scm_url, self.args.branch)
         auth_method, oidc_id_provider, oidc_client_id, oidc_client_secret, \
@@ -1732,11 +1732,9 @@ see API KEY section of copr-cli(1) man page.
             print('The {0} submitted to the MBS' .format(ids_to_print))
 
     def module_build_cancel(self):
-        """
-        Cancel an MBS build
-        :return: None
-        """
+        """Cancel an MBS build"""
         api_url = self.module_api_url
+        self.module_validate_config()
         build_id = self.args.build_id
         auth_method, oidc_id_provider, oidc_client_id, oidc_client_secret, \
             oidc_scopes = self.module_get_auth_config()
@@ -1750,17 +1748,14 @@ see API KEY section of copr-cli(1) man page.
                 print('The module build #{0} was cancelled'.format(build_id))
 
     def module_build_info(self):
-        """
-        Show information about an MBS build
-        :return: None
-        """
+        """Show information about an MBS build"""
         self.cmd.module_build_info(self.module_api_url, self.args.build_id)
+        self.module_validate_config()
+        api_url = self.config.get(self.config_section, 'api_url')
+        self.cmd.module_build_info(api_url, self.args.build_id)
 
     def module_build_local(self):
-        """
-        Build a module locally using mbs-manager
-        :return: None
-        """
+        """Build a module locally using mbs-manager"""
         self.module_validate_config()
 
         if not self.args.stream:
@@ -1791,12 +1786,13 @@ see API KEY section of copr-cli(1) man page.
             default_streams=self.args.default_streams)
 
     def module_get_auth_config(self):
-        """
-        Get the authentication configuration for the MBS
+        """Get the authentication configuration for the MBS
+
         :return: a tuple consisting of the authentication method, the OIDC ID
-        provider, the OIDC client ID, the OIDC client secret, and the OIDC
-        scopes. If the authentication method is not OIDC, the OIDC values in
-        the tuple are set to None.
+            provider, the OIDC client ID, the OIDC client secret, and the OIDC
+            scopes. If the authentication method is not OIDC, the OIDC values
+            in the tuple are set to None.
+        :rtype: tuple
         """
         auth_method = self.config.get(self.config_section, 'auth_method')
         oidc_id_provider = None
@@ -1865,26 +1861,18 @@ see API KEY section of copr-cli(1) man page.
                 api_url.rstrip('/'), api_version)
         return self._module_api_url
 
-    def module_build_watch(self):
-        """
-        Watch an MBS build from the command-line
-        :return: None
-        """
-        self.module_watch_build([self.args.build_id])
-
     def module_overview(self):
-        """
-        Show the overview of the latest builds in the MBS
-        :return: None
-        """
+        """Show the overview of the latest builds in the MBS"""
+        self.module_validate_config()
+        api_url = self.config.get(self.config_section, 'api_url')
         self.cmd.module_overview(
             self.module_api_url, self.args.limit,
             finished=(not self.args.unfinished))
 
     def module_validate_config(self):
-        """
-        Validates the configuration needed for MBS commands
-        :return: None or rpkgError
+        """Validates the configuration needed for MBS commands
+
+        :raises: :py:exc:`pyrpkg.errors.rpkgError`
         """
         self.config_section = '{0}.mbs'.format(self.name)
         # Verify that all necessary config options are set
@@ -1929,8 +1917,9 @@ see API KEY section of copr-cli(1) man page.
         Watches the first MBS build in the list in a loop that updates every
         15 seconds. The loop ends when the build state is 'failed', 'done', or
         'ready'.
+
         :param build_ids: a list of module build IDs
-        :return: None
+        :type build_ids: list[int]
         """
         self.cmd.module_watch_build(self.module_api_url, build_ids)
 
diff --git a/pyrpkg/gitignore.py b/pyrpkg/gitignore.py
index db3f3a5..c81da3e 100644
--- a/pyrpkg/gitignore.py
+++ b/pyrpkg/gitignore.py
@@ -16,13 +16,13 @@ import os
 
 class GitIgnore(object):
     """A class to manage a .gitignore file"""
+
     def __init__(self, path):
         """Constructor
 
-        Args:
-            path (str): The full path to the .gitignore file. If it does not
-                exist, the file will be created when running GitIgnore.write()
-                for the first time.
+        :param str path: The full path to the .gitignore file. If it does not
+            exist, the file will be created when running :py:meth:GitIgnore.write for
+            the first time.
         """
         self.path = path
 
@@ -45,9 +45,8 @@ class GitIgnore(object):
     def add(self, line):
         """Add a line
 
-        Args:
-            line (str): The line to add to the file. It will not be added if
-                it already matches an existing line.
+        :param str line: The line to add to the file. It will not be added if
+            it already matches an existing line.
         """
         if self.match(line):
             return
@@ -61,11 +60,9 @@ class GitIgnore(object):
 
         This uses fnmatch to match against wildcards.
 
-        Args:
-            line (str): The new line to match against existing ones.
-
-        Returns:
-            True if the new line matches, False otherwise.
+        :param str line: The new line to match against existing ones.
+        :return: True if the new line matches, False otherwise.
+        :rtype: bool
         """
         line = line.lstrip('/').rstrip('\n')
 
diff --git a/pyrpkg/lookaside.py b/pyrpkg/lookaside.py
index 5ced6e3..9282618 100644
--- a/pyrpkg/lookaside.py
+++ b/pyrpkg/lookaside.py
@@ -33,18 +33,17 @@ class CGILookasideCache(object):
                  client_cert=None, ca_cert=None):
         """Constructor
 
-        Args:
-            hashtype (str): The hash algorithm to use for uploads. (e.g 'md5')
-            download_url (str): The URL used to download source files.
-            upload_url (str): The URL of the CGI script called when uploading
-                source files.
-            client_cert (str, optional): The full path to the client-side
-                certificate to use for HTTPS authentication. It defaults to
-                None, in which case no client-side certificate is used.
-            ca_cert (str, optional): The full path to the CA certificate to
-                use for HTTPS connexions. (e.g if the server certificate is
-                self-signed. It defaults to None, in which case the system CA
-                bundle is used.
+        :param str hashtype: The hash algorithm to use for uploads. (e.g 'md5')
+        :param str download_url: The URL used to download source files.
+        :param str upload_url: The URL of the CGI script called when uploading
+            source files.
+        :param str client_cert: Optional. The full path to the client-side
+            certificate to use for HTTPS authentication. It defaults to None,
+            in which case no client-side certificate is used.
+        :param str ca_cert: Optional. The full path to the CA certificate to
+            use for HTTPS connexions. (e.g if the server certificate is
+            self-signed. It defaults to None, in which case the system CA
+            bundle is used.
         """
         self.hashtype = hashtype
         self.download_url = download_url
@@ -82,13 +81,10 @@ class CGILookasideCache(object):
     def hash_file(self, filename, hashtype=None):
         """Compute the hash of a file
 
-        Args:
-            filename (str): The full path to the file. It is assumed to exist.
-            hashtype (str, optional): The hash algorithm to use. (e.g 'md5')
-                This defaults to the hashtype passed to the constructor.
-
-        Returns:
-            The hash digest.
+        :param str filename: The full path to the file. It is assumed to exist.
+        :param str hashtype: Optional. The hash algorithm to use. (e.g 'md5')
+            This defaults to the hashtype passed to the constructor.
+        :return: The hash digest.
         """
         if hashtype is None:
             hashtype = self.hashtype
@@ -111,14 +107,12 @@ class CGILookasideCache(object):
     def file_is_valid(self, filename, hash, hashtype=None):
         """Ensure the file is correct
 
-        Args:
-            filename (str): The full path to the file. It is assumed to exist.
-            hash (str): The known good hash of the file.
-            hashtype (str, optional): The hash algorithm to use. (e.g 'md5')
-                This defaults to the hashtype passed to the constructor.
-
-        Returns:
-            True if the file is valid, False otherwise.
+        :param str filename: The full path to the file. It is assumed to exist.
+        :param str hash: The known good hash of the file.
+        :param str hashtype: Optional. The hash algorithm to use. (e.g 'md5')
+            This defaults to the hashtype passed to the constructor.
+        :return: True if the file is valid, False otherwise.
+        :rtype: bool
         """
         sum = self.hash_file(filename, hashtype)
         return sum == hash
@@ -142,17 +136,16 @@ class CGILookasideCache(object):
     def download(self, name, filename, hash, outfile, hashtype=None, **kwargs):
         """Download a source file
 
-        Args:
-            name (str): The name of the module. (usually the name of the SRPM).
-                        This can include the namespace as well (depending on
-                        what the server side expects).
-            filename (str): The name of the file to download.
-            hash (str): The known good hash of the file.
-            outfile (str): The full path where to save the downloaded file.
-            hashtype (str, optional): The hash algorithm. (e.g 'md5')
-                This defaults to the hashtype passed to the constructor.
-            **kwargs: Additional keyword arguments. They will be used when
-                constructing the full URL to the file to download.
+        :param str name: The name of the module. (usually the name of the
+            SRPM). This can include the namespace as well (depending on what
+            the server side expects).
+        :param str filename: The name of the file to download.
+        :param str hash: The known good hash of the file.
+        :param str outfile: The full path where to save the downloaded file.
+        :param str hashtype: Optional. The hash algorithm. (e.g 'md5') This
+            defaults to the hashtype passed to the constructor.
+        :param kwargs: Additional keyword arguments. They will be used when
+            constructing the full URL to the file to download.
         """
         if hashtype is None:
             hashtype = self.hashtype
@@ -207,12 +200,11 @@ class CGILookasideCache(object):
     def remote_file_exists(self, name, filename, hash):
         """Verify whether a file exists on the lookaside cache
 
-        Args:
-            name: The name of the module. (usually the name of the SRPM).
-                  This can include the namespace as well (depending on
-                  what the server side expects).
-            filename: The name of the file to check for.
-            hash: The known good hash of the file.
+        :param str name: The name of the module. (usually the name of the
+            SRPM). This can include the namespace as well (depending on what
+            the server side expects).
+        :param str filename: The name of the file to check for.
+        :param str hash: The known good hash of the file.
         """
 
         # RHEL 7 ships pycurl that does not accept unicode. When given unicode
@@ -279,12 +271,11 @@ class CGILookasideCache(object):
     def upload(self, name, filepath, hash):
         """Upload a source file
 
-        Args:
-            name (str): The name of the module. (usually the name of the SRPM)
-                        This can include the namespace as well (depending on
-                        what the server side expects).
-            filepath (str): The full path to the file to upload.
-            hash (str): The known good hash of the file.
+        :param str name: The name of the module. (usually the name of the SRPM)
+            This can include the namespace as well (depending on what the
+            server side expects).
+        :param str filepath: The full path to the file to upload.
+        :param str hash: The known good hash of the file.
         """
         filename = os.path.basename(filepath)
 
diff --git a/pyrpkg/utils.py b/pyrpkg/utils.py
index ab78cf7..2ce469f 100644
--- a/pyrpkg/utils.py
+++ b/pyrpkg/utils.py
@@ -63,12 +63,11 @@ class cached_property(property):
 def warn_deprecated(clsname, oldname, newname):
     """Emit a deprecation warning
 
-    Args:
-        clsname (str): The name of the class which has its attribute
-            deprecated.
-        oldname (str): The name of the deprecated attribute.
-        newname (str): The name of the new attribute, which should be used
-            instead.
+    :param str clsname: The name of the class which has its attribute
+        deprecated.
+    :param str oldname: The name of the deprecated attribute.
+    :param str newname: The name of the new attribute, which should be used
+        instead.
     """
     sys.stderr.write(
         "DeprecationWarning: %s.%s is deprecated and will be removed eventually.\n"

